﻿using ProjectExcavator;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectExcavator
{
    public class DrawKatkiCircle : IDrawingKatki
    {
        private KatkiNumber KatNum;
        public int Properties
        {
            get
            {
                return Properties;
            }
            set
            {
                switch (value)
                {
                    case 1:
                        KatNum = KatkiNumber.Four;
                        break;
                    case 2:
                        KatNum = KatkiNumber.Five;
                        break;
                    case 3:
                        KatNum = KatkiNumber.Six;
                        break;
                    default:
                        KatNum = KatkiNumber.Four;
                        MessageBox.Show("Было введено некорректное количество катков, поэтому было отрисовано стандартное количество катков");
                        break;
                }
            }
        }
        public int GetShape()
        {
            return 0;
        }
        public int GetAmount()
        {
            int x = 0;
            if (KatNum == KatkiNumber.Four)
                x = 1;
            if (KatNum == KatkiNumber.Five)
                x = 2;
            if (KatNum == KatkiNumber.Six)
                x = 3;
            return x;
        }
        public void Draw(int _startPosX, int _startPosY, Color katkiColor, Graphics g)
        {
            Pen pen = new Pen(Color.Black);
            Brush KatkiColor = new SolidBrush(katkiColor);
            Brush brBlack = new SolidBrush(Color.Black);
            if (KatNum == KatkiNumber.Four)
            {
                g.FillEllipse(brBlack, _startPosX + 5, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 30, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 60, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 85, _startPosY + 58, 15, 15);

                g.FillEllipse(KatkiColor, _startPosX + 8, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 33, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 63, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 88, _startPosY + 61, 8, 8);

            }
            if (KatNum == KatkiNumber.Five)
            {
                g.FillEllipse(brBlack, _startPosX + 5, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 25, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 45, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 65, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 85, _startPosY + 58, 15, 15);

                g.FillEllipse(KatkiColor, _startPosX + 8, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 28, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 48, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 68, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 88, _startPosY + 61, 8, 8);
            }
            if (KatNum == KatkiNumber.Six)
            {
                g.FillEllipse(brBlack, _startPosX + 5, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 20, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 35, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 50, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 65, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 80, _startPosY + 58, 15, 15);

                g.FillEllipse(KatkiColor, _startPosX + 8, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 23, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 38, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 53, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 68, _startPosY + 61, 8, 8);
                g.FillEllipse(KatkiColor, _startPosX + 83, _startPosY + 61, 8, 8);

            }
        }
    }
}
