﻿using ProjectExcavator;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectExcavator
{
    public class DrawKatkiTriangle : IDrawingKatki
    {
        private KatkiNumber KatNum;
        public int Properties
        {
            get
            {
                return Properties;
            }
            set
            {
                switch (value)
                {
                    case 1:
                        KatNum = KatkiNumber.Four;
                        break;
                    case 2:
                        KatNum = KatkiNumber.Five;
                        break;
                    case 3:
                        KatNum = KatkiNumber.Six;
                        break;
                    default:
                        KatNum = KatkiNumber.Four;
                        MessageBox.Show("Было введено некорректное количество катков, поэтому было отрисовано стандартное количество катков");
                        break;
                }
            }
        }
        public int GetShape()
        {
            return 2;
        }
        public int GetAmount()
        {
            int x = 0;
            if (KatNum == KatkiNumber.Four)
                x = 1;
            if (KatNum == KatkiNumber.Five)
                x = 2;
            if (KatNum == KatkiNumber.Six)
                x = 3;
            return x;
        }
        public void Draw(int _startPosX, int _startPosY, Color katkiColor, Graphics g)
        {
            Pen pen = new Pen(Color.Black);
            Brush KatkiColor = new SolidBrush(katkiColor);
            Brush brBlack = new SolidBrush(Color.Black);
            if (KatNum == KatkiNumber.Four)
            {
                g.FillEllipse(brBlack, _startPosX + 5, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 30, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 60, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 85, _startPosY + 58, 15, 15);

                Point point1 = new Point(_startPosX + 12, _startPosY + 60);
                Point point2 = new Point(_startPosX + 17, _startPosY + 70);
                Point point3 = new Point(_startPosX + 7, _startPosY + 70);
                Point[] trianglePoints1 = { point1, point2, point3 };
                g.FillPolygon(KatkiColor, trianglePoints1);
                Point point4 = new Point(_startPosX + 37, _startPosY + 60);
                Point point5 = new Point(_startPosX + 42, _startPosY + 70);
                Point point6 = new Point(_startPosX + 32, _startPosY + 70);
                Point[] trianglePoints2 = { point4, point5, point6 };
                g.FillPolygon(KatkiColor, trianglePoints2);
                Point point7 = new Point(_startPosX + 67, _startPosY + 60);
                Point point8 = new Point(_startPosX + 72, _startPosY + 70);
                Point point9 = new Point(_startPosX + 62, _startPosY + 70);
                Point[] trianglePoints3 = { point7, point8, point9 };
                g.FillPolygon(KatkiColor, trianglePoints3);
                Point point10 = new Point(_startPosX + 92, _startPosY + 60);
                Point point11 = new Point(_startPosX + 97, _startPosY + 70);
                Point point12 = new Point(_startPosX + 87, _startPosY + 70);
                Point[] trianglePoints4 = { point10, point11, point12 };
                g.FillPolygon(KatkiColor, trianglePoints4);
            }
            if (KatNum == KatkiNumber.Five)
            {
                g.FillEllipse(brBlack, _startPosX + 5, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 25, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 45, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 65, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 85, _startPosY + 58, 15, 15);

                Point point1 = new Point(_startPosX + 12, _startPosY + 60);
                Point point2 = new Point(_startPosX + 17, _startPosY + 70);
                Point point3 = new Point(_startPosX + 7, _startPosY + 70);
                Point[] trianglePoints1 = { point1, point2, point3 };
                g.FillPolygon(KatkiColor, trianglePoints1);
                Point point4 = new Point(_startPosX + 32, _startPosY + 60);
                Point point5 = new Point(_startPosX + 37, _startPosY + 70);
                Point point6 = new Point(_startPosX + 27, _startPosY + 70);
                Point[] trianglePoints2 = { point4, point5, point6 };
                g.FillPolygon(KatkiColor, trianglePoints2);
                Point point7 = new Point(_startPosX + 52, _startPosY + 60);
                Point point8 = new Point(_startPosX + 57, _startPosY + 70);
                Point point9 = new Point(_startPosX + 47, _startPosY + 70);
                Point[] trianglePoints3 = { point7, point8, point9 };
                g.FillPolygon(KatkiColor, trianglePoints3);
                Point point10 = new Point(_startPosX + 72, _startPosY + 60);
                Point point11 = new Point(_startPosX + 77, _startPosY + 70);
                Point point12 = new Point(_startPosX + 67, _startPosY + 70);
                Point[] trianglePoints4 = { point10, point11, point12 };
                g.FillPolygon(KatkiColor, trianglePoints4);
                Point point13 = new Point(_startPosX + 92, _startPosY + 60);
                Point point14 = new Point(_startPosX + 97, _startPosY + 70);
                Point point15 = new Point(_startPosX + 87, _startPosY + 70);
                Point[] trianglePoints5 = { point13, point14, point15 };
                g.FillPolygon(KatkiColor, trianglePoints5);
            }
            if (KatNum == KatkiNumber.Six)
            {
                g.FillEllipse(brBlack, _startPosX + 5, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 20, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 35, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 50, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 65, _startPosY + 58, 15, 15);
                g.FillEllipse(brBlack, _startPosX + 80, _startPosY + 58, 15, 15);

                Point point1 = new Point(_startPosX + 12, _startPosY + 60);
                Point point2 = new Point(_startPosX + 17, _startPosY + 70);
                Point point3 = new Point(_startPosX + 7, _startPosY + 70);
                Point[] trianglePoints1 = { point1, point2, point3 };
                g.FillPolygon(KatkiColor, trianglePoints1);
                Point point4 = new Point(_startPosX + 27, _startPosY + 60);
                Point point5 = new Point(_startPosX + 32, _startPosY + 70);
                Point point6 = new Point(_startPosX + 22, _startPosY + 70);
                Point[] trianglePoints2 = { point4, point5, point6 };
                g.FillPolygon(KatkiColor, trianglePoints2);
                Point point7 = new Point(_startPosX + 42, _startPosY + 60);
                Point point8 = new Point(_startPosX + 47, _startPosY + 70);
                Point point9 = new Point(_startPosX + 37, _startPosY + 70);
                Point[] trianglePoints3 = { point7, point8, point9 };
                g.FillPolygon(KatkiColor, trianglePoints3);
                Point point10 = new Point(_startPosX + 57, _startPosY + 60);
                Point point11 = new Point(_startPosX + 62, _startPosY + 70);
                Point point12 = new Point(_startPosX + 52, _startPosY + 70);
                Point[] trianglePoints4 = { point10, point11, point12 };
                g.FillPolygon(KatkiColor, trianglePoints4);
                Point point13 = new Point(_startPosX + 72, _startPosY + 60);
                Point point14 = new Point(_startPosX + 77, _startPosY + 70);
                Point point15 = new Point(_startPosX + 67, _startPosY + 70);
                Point[] trianglePoints5 = { point13, point14, point15 };
                g.FillPolygon(KatkiColor, trianglePoints5);
                Point point16 = new Point(_startPosX + 87, _startPosY + 60);
                Point point17 = new Point(_startPosX + 92, _startPosY + 70);
                Point point18 = new Point(_startPosX + 82, _startPosY + 70);
                Point[] trianglePoints6 = { point16, point17, point18 };
                g.FillPolygon(KatkiColor, trianglePoints6);
            }
        }
    }
}
