﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectExcavator
{
    public class DrawingKatki
    {
        private KatkiNumber katkiNumber;
        public int KatNum
        {
            set
            {
                if (value <= 4 || value > 6)
                {
                    katkiNumber = KatkiNumber.Four;
                }
                else if (value == 5)
                {
                    katkiNumber = KatkiNumber.Five;
                }
                else if (value == 6)
                {
                    katkiNumber = KatkiNumber.Six;
                }
            }
        }
        public void DrawKatki(Graphics g, int _startPosX, int _startPosY, Color katkiColor)
        {
            Brush katColors = new SolidBrush(katkiColor);
            switch (katkiNumber)
            {
                case KatkiNumber.Four:
                    g.FillEllipse(katColors, _startPosX + 5, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 30, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 60, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 85, _startPosY + 58, 15, 15);
                    break;
                case KatkiNumber.Five:
                    g.FillEllipse(katColors, _startPosX + 5, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 25, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 45, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 65, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 85, _startPosY + 58, 15, 15);
                    break;
                case KatkiNumber.Six:
                    g.FillEllipse(katColors, _startPosX + 5, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 20, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 35, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 50, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 65, _startPosY + 58, 15, 15);
                    g.FillEllipse(katColors, _startPosX + 80, _startPosY + 58, 15, 15);
                    break;
            }
        }
    }
}
